Subject: [Simple] New Liaison Statement, "OMA-LS_834 XML validation issues of IANA copies of XML schemas from RFC 4826"

From: Dean Willis(OMA) <[email-masked]>
Date: Sat, 3 Oct 2009 08:33:50 -0700 (PDT)

Title: OMA-LS_834 XML validation issues of IANA copies of XML schemas from RFC 4826
Submission Date: 2009-10-03
URL of the IETF Web page: https://datatracker.ietf.org/public/liaison_detail.cgi?detail_id=592 
Please reply by 2009-11-01

From: Dean Willis(OMA) <[email-masked]>
To: IETF SIMPLE Working Group([email-masked])
Cc: [email-masked]
[email-masked]
[email-masked]
Reponse Contact: Uwe Rauschenbach <[email-masked]>
Musa Unmehopa <[email-masked]>
Kyung-Tak Lee <[email-masked]>
Technical Contact: Uwe Rauschenbach <[email-masked]>
Musa Unmehopa <[email-masked]>
Kyung-Tak Lee <[email-masked]>
Purpose: For action 
Body: 1 Overview

This Liaison Statement reports XML validation problems in the XML schemas that were introduced in RFC 4826 and asks for correction. 

2 Proposal

In the specifications of Parlay X (Web Service Interfaces for Parlay) and PoC (Push to Talk over Cellular), the Open Mobile Alliance references the XML schemas that have been developed by IETF in RFC 4826.

This RFC defines two XML schemas: resource-lists (urn:ietf:params:xml:ns:resource-lists) and rls-services (urn:ietf:params:xml:ns:rls-services).

During ongoing specification work, the following XML validation problems have been identified in the instances of these schemas that are provided by IANA in the XML schema repository [1].

Validation problems in urn:ietf:params:xml:ns:resource-lists Schema as available from [2]

This file triggers the following validation errors (using Xerces):
SystemID:http://www.iana.org/assignments/xml-registry/schema/resource-lists.xsd
Position: 4:35
Description: cos-nonambig: WC[##other:"urn:ietf:params:xml:ns:resource-lists"] and WC[##other:"urn:ietf:params:xml:ns:resource-lists"] (or elements from their substitution group) violate "Unique Particle Attribution". During validation against this schema, ambiguity would be created for those two particles.
URL: http://www.w3.org/TR/xmlschema-1/#cos-nonambig

SystemID: http://www.iana.org/assignments/xml-registry/schema/resource-lists.xsd
Position: 10:29
Description: cos-nonambig: WC[##other:"urn:ietf:params:xml:ns:resource-lists"] and WC[##other:"urn:ietf:params:xml:ns:resource-lists"] (or elements from their substitution group) violate "Unique Particle Attribution". During validation against this schema, ambiguity would be created for those two particles.
URL: http://www.w3.org/TR/xmlschema-1/#cos-nonambig 

A comparison has shown that the file in the IANA repository is different from what has been defined in section 3.2 of RFC 4826. Furthermore, it has been noted that the schema in RFC 4826 actually does validate.

Validation problems in urn:ietf:params:xml:ns:rls-services Schema as available from [3]

This XML schema imports the resource-lists schema, however does not provide a schema location for it. Due to this, the rls-services schema does not validate because the validator can not fetch the referenced schema. 
It is therefore suggested to add a schemaLocation attribute to the <import> declaration of the rls-services XML schema instance in the IANA repository.
OMA ARC and MWG would furthermore like to inform you of the following finding (even though it does not constitute a validation error of the schema): The rls-services schema defined in section 4.2 of RFC 4826 differs from the instance in [3] in one processing instruction. More precisely, the version in RFC 4826 contains �processContents="lax"� which is not contained in [3] as highlighted below:

    <xs:complexType name="serviceType">
        <xs:sequence>
            <xs:choice>
                <xs:element name="resource-list" type="xs:anyURI"/>
                <xs:element name="list" type="rl:listType"/>
            </xs:choice>
            <xs:element name="packages" type="packagesType" minOccurs="0"/>
            <xs:any namespace="##other" 
				processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attribute name="uri" type="xs:anyURI" use="required"/>
        <xs:anyAttribute namespace="##other" processContents="lax"/>
    </xs:complexType>

References
[1] IANA XML Registry, URL: http://www.iana.org/assignments/xml-registry/schema.html
[2] http://www.iana.org/assignments/xml-registry/schema/resource-lists.xsd 
[3] http://www.iana.org/assignments/xml-registry/schema/rls-services.xsd 

3 Requested Action(s)

IETF is kindly requested to fix the issues indicated above.

4 Conclusion

The OMA ARC and MWG groups wish to thank IETF in advance for considering our request, and are looking forward to continued collaboration and exchange.
Attachment(s):
     PDF of original LS from OMA (https://datatracker.ietf.org/documents/LIAISON/file708.pdf)